Loading...
Searching...
No Matches
juce::ComboBox::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide ComboBox functionality.

The documentation for this struct was generated from the following file:

- juce_gui_basics/widgets/juce_ComboBox.h

Inheritance diagram for juce::ComboBox::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual void | drawComboBox (Graphics &, int width, int height, bool isButtonDown, int buttonX, int buttonY, int buttonW, int buttonH, ComboBox &)=0
virtual Font | getComboBoxFont (ComboBox &)=0
virtual Label * | createComboBoxTextBox (ComboBox &)=0
virtual void | positionComboBoxText (ComboBox &, Label &labelToPosition)=0
virtual PopupMenu::Options | getOptionsForComboBoxPopupMenu (ComboBox &, Label &)=0
virtual void | drawComboBoxTextWhenNothingSelected (Graphics &, ComboBox &, Label &)=0

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::ComboBox::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## drawComboBox()

virtual void juce::ComboBox::LookAndFeelMethods::drawComboBox | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | bool | isButtonDown,
|  | int | buttonX,
|  | int | buttonY,
|  | int | buttonW,
|  | int | buttonH,
|  | ComboBox & | )

pure virtual

Implemented in juce::LookAndFeel_V1, juce::LookAndFeel_V2, juce::LookAndFeel_V3, and juce::LookAndFeel_V4.

References juce::ComboBox::ComboBox().

## getComboBoxFont()

virtual Font juce::ComboBox::LookAndFeelMethods::getComboBoxFont | ( | ComboBox & |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V1, juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::ComboBox::ComboBox().

## createComboBoxTextBox()

virtual Label * juce::ComboBox::LookAndFeelMethods::createComboBoxTextBox | ( | ComboBox & |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::ComboBox::ComboBox().

## positionComboBoxText()

virtual void juce::ComboBox::LookAndFeelMethods::positionComboBoxText | ( | ComboBox & | ,
|  | Label & | labelToPosition )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::ComboBox::ComboBox().

## getOptionsForComboBoxPopupMenu()

virtual PopupMenu::Options juce::ComboBox::LookAndFeelMethods::getOptionsForComboBoxPopupMenu | ( | ComboBox & | ,
|  | Label & | )

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::ComboBox::ComboBox().

## drawComboBoxTextWhenNothingSelected()

virtual void juce::ComboBox::LookAndFeelMethods::drawComboBoxTextWhenNothingSelected | ( | Graphics & | ,
|  | ComboBox & | ,
|  | Label & | )

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::ComboBox::ComboBox().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited